#include "LogDock.hxx"
#include "FridaDock.hxx"
#include "LogDockAppender.hxx"

#include "log4cxx/basicconfigurator.h"

LogDock::LogDock(FridaDock* parent)
	: QTableWidget(0, 3, parent) {
	verticalHeader()->hide();
	horizontalHeader()->hide();
	horizontalHeader()->setStretchLastSection(true);
	verticalHeader()->setDefaultSectionSize(18);
	appender = new LogDockAppender;
	appender->setTarget(this);
	log4cxx::BasicConfigurator::configure(appender);
}

LogDock::~LogDock() {
	delete appender;
}
